﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:d="http://xamarin.com/schemas/2014/forms/design"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             mc:Ignorable="d"
             x:Class="FourPlaces.Views.ChangePasswordPage">
    <ContentPage.Content>
        <StackLayout>
            <Label Text="Ancien mot de passe"/>
            <Entry Text="{Binding OldPasswordEntry}"
                   IsPassword="True"/>
            <Label Text="Nouveau mot de passe"/>
            <Entry Text="{Binding NewPasswordEntry}"
                   IsPassword="True"/>
            <Button Text="Changer de mot de passe"
                    Command="{Binding ChangePasswordCommand}"/>
            <Label IsVisible="{Binding WarningVisible}" Text="{Binding WarningText}"/>
        </StackLayout>
    </ContentPage.Content>
</ContentPage>